Skip to content
Gowd Platform Production

Your postback notification for a subscription cancellation.

POST
/order/example-postback-to-banking-subscription-cancellation/[your_notification_url]

Every time a transaction has its status changed, your system will receive a notification from ours, so that you know if transactions were paid.

We expect that your system returns to ours: status code 200. If not, we’ll retry 4 more times.

object
event
required

Webhook event for the cancellation of a subscription.

string
Allowed values: SUBSCRIPTION.CANCELLATION.ACCEPTED SUBSCRIPTION.CANCELLATION.REJECTED SUBSCRIPTION.CANCELLATION.PENDING
Example
SUBSCRIPTION.CANCELLATION.ACCEPTED
occurredAt
required

When the event occurred (UTC ISO-8601).

string
Example
2026-02-19T13:41:12.991Z
data
required

The updated subscription data.

object
id
required

Identifier of the subscription.

string
Example
550e8400-e29b-41d4-a716-446655440000
externalId
required

The unique code on the partner system.

string
Example
partner-id
status
required

Current status of the subscription, not of the cancellation request.

string
Allowed values: INITIAL PENDING_AUTHORIZATION ACCEPTED REJECTED CANCELED ERROR
Example
ACCEPTED
cancellation
required

The cancellation request.

object
id
required

Identifier of the cancellation request.

string
Example
39c9c2a1-3a3d-4b0a-9a1a-9f1f6c2a2b3c
status
required

Status of the cancellation request.

string
Allowed values: ACCEPTED REJECTED PENDING
Example
ACCEPTED
reason
required

Reason for the cancellation request.

string
Allowed values: ACCOUNT_CANCELLATION RECEIVER_COMPANY_CLOSURE PAYER_DECEASED CONFIRMATION_REQUEST_ERROR FRAUD_SUSPICION DUPLICATE_CONFIRMATION REQUESTED_BY_RECEIVER REQUESTED_BY_PAYER PSP_TIMEOUT_NO_RESPONSE
Example
REQUESTED_BY_PAYER
createdAt
required

Date when the cancellation was requested (UTC ISO-8601).

string
Example
2026-02-19T13:41:12.991Z
canceledAt
required

Date when the subscription was canceled (UTC ISO-8601).

string
Example
2026-02-19T13:41:12.991Z
customer
required

Customer who requested the cancellation.

object
document
required

Document of the customer who requested the cancellation.

object
type
required

Document type

string
Allowed values: CPF CNPJ
Example
CPF
number
required

Document number

string
Example
12345678901
Examples

SUBSCRIPTION.CANCELLATION.ACCEPTED

The cancellation request was accepted and the subscription is canceled.

{
"event": "SUBSCRIPTION.CANCELLATION.ACCEPTED",
"occurredAt": "2026-02-19T13:41:12.991Z",
"data": {
"id": "550e8400-e29b-41d4-a716-446655440000",
"externalId": "subscription-2024-0001",
"status": "CANCELED",
"cancellation": {
"id": "39c9c2a1-3a3d-4b0a-9a1a-9f1f6c2a2b3c",
"status": "ACCEPTED",
"reason": "REQUESTED_BY_PAYER",
"createdAt": "2026-02-19T13:40:58.120Z",
"canceledAt": "2026-02-19T13:41:12.991Z",
"customer": {
"document": {
"type": "CPF",
"number": "52998224725"
}
}
}
}
}

The resource was returned successfully

object
returnCode
required

The current page.

string
Example
SUCCESS